<?xml version="1.0" encoding="utf-8"?>
    <!--
        /* * Copyright (C) 2007-2008 Esmertec AG. * Copyright (C) 2007-2008 The
        Android Open Source Project * * Licensed under the Apache License,
        Version 2.0 (the "License"); * you may not use this file except in
        compliance with the License. * You may obtain a copy of the License at *
        * http://www.apache.org/licenses/LICENSE-2.0 * * Unless required by
        applicable law or agreed to in writing, software * distributed under the
        License is distributed on an "AS IS" BASIS, * WITHOUT WARRANTIES OR
        CONDITIONS OF ANY KIND, either express or implied. * See the License for
        the specific language governing permissions and * limitations under the
        License. */
    -->
<PreferenceScreen xmlns:android="http://schemas.android.com/apk/res/android">
    <PreferenceCategory android:title="@string/pref_title_display_preference_settings"
        android:key="pref_key_display_preference_settings">
        <Preference android:key="pref_key_message_font_size"
            android:title="@string/pref_title_message_font_size"
            android:summary="@string/pref_summary_message_font_size" />
        <CheckBoxPreference android:defaultValue="true"
            android:key="pref_key_show_email_address" android:title="@string/pref_show_email_address"
            android:summary="@string/pref_summary_show_email_address" />
    </PreferenceCategory>

    <PreferenceCategory android:title="@string/pref_sms_storage_title"
        android:key="pref_key_storage_settings">
        <CheckBoxPreference android:defaultValue="false"
            android:key="pref_key_auto_delete" android:summary="@string/pref_summary_auto_delete"
            android:title="@string/pref_title_auto_delete" />
        <Preference android:layout="?android:attr/preferenceLayoutChild"
            android:key="pref_key_sms_delete_limit"
            android:dependency="pref_key_auto_delete" android:persistent="false"
            android:summary="@string/pref_summary_delete_limit" android:title="@string/pref_title_sms_delete" />
        <Preference android:layout="?android:attr/preferenceLayoutChild"
            android:key="pref_key_mms_delete_limit"
            android:dependency="pref_key_auto_delete" android:persistent="false"
            android:summary="@string/pref_summary_delete_limit" android:title="@string/pref_title_mms_delete" />
    </PreferenceCategory>

    <PreferenceCategory android:title="@string/cell_broadcast_title">
        <Preference android:key="pref_key_cell_broadcast"
            android:title="@string/cell_broadcast" android:summary="@string/cell_broadcast_settings"
            android:persistent="false">
        </Preference>
    </PreferenceCategory>

    <PreferenceCategory android:title="@string/pref_title_wappush_settings"
        android:key="pref_key_wappush_settings">
        <CheckBoxPreference android:defaultValue="true"
            android:key="pref_key_wappush_enable" android:summary="@string/pref_summary_wappush_enable"
            android:title="@string/pref_title_wappush_enable" />
        <CheckBoxPreference android:defaultValue="false"
            android:key="pref_key_wappush_sl_autoloading" android:dependency="pref_key_wappush_enable"
            android:summary="@string/pref_summary_wappush_sl_autoloading"
            android:title="@string/pref_title_wappush_sl_autoloading" />
    </PreferenceCategory>
</PreferenceScreen>

